import * as path from 'path';

// tslint:disable-next-line: variable-name
const _root = __DEV__
  ? path.resolve(__dirname, '..', '..')
  : path.resolve(__dirname);

export function root(...paths: string[]) {
  const args = Array.prototype.slice.call(paths, 0);
  return path.join.apply(path, [_root].concat(args));
}
